Edit a campaign that has not launched
curl --request PATCH \
--url https://apiv2.vodex.ai/v1/contacts/campaigns/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistantId": "<string>",
"concurrency": 123,
"retry": {
"on": [
"<string>"
],
"attempts": 5,
"backoffMinutes": 5040.5
},
"window": {
"timezone": "America/New_York",
"start": "09:00",
"end": "20:00",
"days": [
3
]
},
"fromStrategy": "<string>",
"fromNumbers": [
"<string>"
],
"fromWeights": {},
"variables": {},
"blockSize": 123,
"startAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://apiv2.vodex.ai/v1/contacts/campaigns/{id}"
payload = {
"name": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistantId": "<string>",
"concurrency": 123,
"retry": {
"on": ["<string>"],
"attempts": 5,
"backoffMinutes": 5040.5
},
"window": {
"timezone": "America/New_York",
"start": "09:00",
"end": "20:00",
"days": [3]
},
"fromStrategy": "<string>",
"fromNumbers": ["<string>"],
"fromWeights": {},
"variables": {},
"blockSize": 123,
"startAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
audienceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assistantId: '<string>',
concurrency: 123,
retry: {on: ['<string>'], attempts: 5, backoffMinutes: 5040.5},
window: {timezone: 'America/New_York', start: '09:00', end: '20:00', days: [3]},
fromStrategy: '<string>',
fromNumbers: ['<string>'],
fromWeights: {},
variables: {},
blockSize: 123,
startAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://apiv2.vodex.ai/v1/contacts/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistantId": "<string>",
"status": "<string>",
"batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "not found"
}{
"error": "not found"
}{
"error": "not found"
}Campaigns
Edit a campaign that has not launched
The whole definition. Once a campaign is live, use
PATCH /contacts/campaigns/{id}/live — the fields that can safely
change mid-flight are a much smaller set.
PATCH
/
contacts
/
campaigns
/
{id}
Edit a campaign that has not launched
Authorizations
Tenant API key (vdx_live_…) as Authorization: Bearer.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
When this batch may dial — outside it, rows wait rather than fail.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Assistant variable -> contact field or attr:<key>.
Show child attributes
Show child attributes
Dial the audience in blocks of this size, one at a time.